#ifndef CONFIG_H
#define CONFIG_H

#include <QSettings>
#include <QDebug>

#define ORGANIZATION_NAME "LotRO: Legacy Team"
#define ORGANIZATION_DOMAIN "www.translate.lotros.ru"
#define APPLICATION_NAME "LotRO: Legacy"

class AConfig {
   public:
    AConfig();
    AConfig( const AConfig&);
    AConfig& operator=( AConfig& );

    void saveConfig();
    void loadConfig();
    QString getSkinFile();
    QString getSkinName();
    void loadSkin();
    void setValue(QString section, QString key, QString value);
    QString getValue(QString section, QString key);
    void deleteKey(QString section, QString key);
    void deleteSection(QString section);
    QStringList getLotroPath();
    const char *getDatPath(int id);

    QString conffile;
};

#endif // CONFIG_H
